<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateInventariosTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateInventariosLabel_inventarioId}" for="inventarioId" />
                    <h:inputText id="inventarioId" value="#{inventariosController.selected.inventarioId}" title="#{bundle.CreateInventariosTitle_inventarioId}" required="true" requiredMessage="#{bundle.CreateInventariosRequiredMessage_inventarioId}"/>
                    <h:outputLabel value="#{bundle.CreateInventariosLabel_inventarioNombre}" for="inventarioNombre" />
                    <h:inputText id="inventarioNombre" value="#{inventariosController.selected.inventarioNombre}" title="#{bundle.CreateInventariosTitle_inventarioNombre}" />
                    <h:outputLabel value="#{bundle.CreateInventariosLabel_inventarioCod}" for="inventarioCod" />
                    <h:inputText id="inventarioCod" value="#{inventariosController.selected.inventarioCod}" title="#{bundle.CreateInventariosTitle_inventarioCod}" />
                </h:panelGrid>
                <br />
                <h:commandLink action="#{inventariosController.create}" value="#{bundle.CreateInventariosSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{inventariosController.prepareList}" value="#{bundle.CreateInventariosShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateInventariosIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
